Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(15)

Issue 17391015: Add support for clicking to play/pause <video> (Closed)

Created:
6 years, 5 months ago by philipj_slow
Modified:
6 years, 5 months ago
Reviewers:
qinmin, adamk
CC:
blink-reviews, jamesr, eae+blinkwatch, abarth-chromium, feature-media-reviews_chromium.org, adamk+blink_chromium.org, vcarbune.chromium
Base URL:
https://chromium.googlesource.com/chromium/blink.git@master
Visibility:
Public.

Description

Add support for clicking to play/pause <video> It's helpful to be able to pause a video simply by tapping it, if the pause button of the native or scripted controls is too small for comfort. BUG=251645

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+24 lines, -1 line) Patch
M Source/WebKit/chromium/src/WebSettingsImpl.h View 1 chunk +1 line, -0 lines 0 comments Download
M Source/WebKit/chromium/src/WebSettingsImpl.cpp View 1 chunk +5 lines, -0 lines 0 comments Download
M Source/core/html/HTMLMediaElement.h View 1 chunk +3 lines, -1 line 0 comments Download
M Source/core/html/HTMLMediaElement.cpp View 1 chunk +13 lines, -0 lines 0 comments Download
M Source/core/page/Settings.in View 1 chunk +1 line, -0 lines 0 comments Download
M public/web/WebSettings.h View 1 chunk +1 line, -0 lines 0 comments Download

Messages

Total messages: 16 (0 generated)
philipj_slow
Click to play/pause, as initially discussed in https://groups.google.com/a/chromium.org/d/msg/blink-dev/vlHmWhdSSDQ/ak_pwMp00noJ The absence of tests is known, I'll ...
6 years, 5 months ago (2013-06-19 08:59:17 UTC) #1
qinmin
On 2013/06/19 08:59:17, philipj wrote: > Click to play/pause, as initially discussed in > https://groups.google.com/a/chromium.org/d/msg/blink-dev/vlHmWhdSSDQ/ak_pwMp00noJ ...
6 years, 5 months ago (2013-06-19 16:01:02 UTC) #2
philipj_slow
On 2013/06/19 16:01:02, qinmin wrote: > On 2013/06/19 08:59:17, philipj wrote: > > Click to ...
6 years, 5 months ago (2013-06-20 07:06:36 UTC) #3
philipj_slow
I wrote http://people.opera.com/~philipj/click.html to test the problem a bit. It is indeed the case that ...
6 years, 5 months ago (2013-06-20 07:49:26 UTC) #4
qinmin
On 2013/06/20 07:49:26, philipj wrote: > I wrote http://people.opera.com/%7Ephilipj/click.html to test the problem a bit. ...
6 years, 5 months ago (2013-06-20 13:46:20 UTC) #5
philipj_slow
I thought a bit about this over the weekend, and what it comes down to ...
6 years, 5 months ago (2013-06-26 06:29:27 UTC) #6
qinmin
On 2013/06/26 06:29:27, philipj wrote: > I thought a bit about this over the weekend, ...
6 years, 5 months ago (2013-06-26 14:12:45 UTC) #7
philipj_slow
I can think of two ways that would make sense, after adding a pause state ...
6 years, 5 months ago (2013-06-27 06:40:40 UTC) #8
qinmin
On 2013/06/27 06:40:40, philipj wrote: > I can think of two ways that would make ...
6 years, 5 months ago (2013-06-27 13:46:22 UTC) #9
philipj_slow
On 2013/06/27 13:46:22, qinmin wrote: > On 2013/06/27 06:40:40, philipj wrote: > > I can ...
6 years, 5 months ago (2013-06-27 14:27:27 UTC) #10
qinmin
On 2013/06/27 14:27:27, philipj wrote: > On 2013/06/27 13:46:22, qinmin wrote: > > On 2013/06/27 ...
6 years, 5 months ago (2013-06-27 14:50:42 UTC) #11
philipj_slow
On 2013/06/27 14:50:42, qinmin wrote: > > For android, having a timer to hide all ...
6 years, 5 months ago (2013-06-28 06:58:36 UTC) #12
qinmin
On 2013/06/28 06:58:36, philipj wrote: > On 2013/06/27 14:50:42, qinmin wrote: > > > > ...
6 years, 5 months ago (2013-06-28 13:44:28 UTC) #13
philipj_slow
@qinmin, I've created https://code.google.com/p/chromium/issues/detail?id=257030 and will drop this review. Do you think that issue 251645 ...
6 years, 5 months ago (2013-07-03 13:57:03 UTC) #14
qinmin
On 2013/07/03 13:57:03, philipj wrote: > @qinmin, I've created https://code.google.com/p/chromium/issues/detail?id=257030 > and will drop this ...
6 years, 5 months ago (2013-07-03 16:43:30 UTC) #15
philipj_slow
6 years, 5 months ago (2013-07-04 08:47:28 UTC) #16
Message was sent while issue was closed.
On 2013/07/03 16:43:30, qinmin wrote:
> On 2013/07/03 13:57:03, philipj wrote:
> > @qinmin, I've created
> https://code.google.com/p/chromium/issues/detail?id=257030
> > and will drop this review. Do you think that issue 251645 should be closed
as
> > well, or can that be reused for the overlay pause button?
> 
> you can set 251645 to be clocked by 257030. So you can submit CLs only fixing
> the latter but not the former.

I'm afraid I don't have very high privileges in the bug tracker, could you help
me link them? Do you know who to ask in order to get editing rights?

Powered by Google App Engine
This is Rietveld 408576698